# test for eccentric waveform model with advancement periastron

accounting = ligo.dev.o3.cbc.pe.lalinference

trigger-time = 1187008882.43

label = PerAdvFDLeO_e0_logPrior
outdir = outdir_PerAdvFDLeO_e0_logPrior

detectors = [H1, L1, V1]
sampling-frequency = 2048.
duration = 309.
post-trigger-duration = 1.0
minimum-frequency=20.
maximum-frequency=256.
reference_frequency=30.
#psd-maximum-duration=1024

sampler = dynesty
sampler-kwargs = {'nlive': 1000, resume=True}

data-dict = {H1: H-H1_LOSC_CLN_4_V1-1187007040-2048.gwf, L1: L-L1_LOSC_CLN_4_V1-1187007040-2048.gwf,  V1: V-V1_LOSC_CLN_4_V1-1187007040-2048.gwf}
channel-dict = {H1:LOSC-STRAIN, L1:LOSC-STRAIN, V1:LOSC-STRAIN}

waveform-approximant = TaylorF2EccPerAdvFDLeO
frequency-domain-source-model = lal_TaylorF2EccPerAdvFDLeO
phase-marginalization =True
time-marginalization =True
#distance-marginalization =True

n-simulation = 1
n-parallel = 1
request-memory = 8.0
request-cpus = 16


prior-dict = {
mass_1 = Constraint(name='mass_1', minimum=1.0,maximum=3.0),
mass_2 = Constraint(name='mass_2', minimum=1.0,maximum=3.0),
chirp_mass = bilby.gw.prior.UniformInComponentsChirpMass(name='chirp_mass', minimum=0.8705505632961241,maximum=2.611651689888372),
mass_ratio = bilby.gw.prior.UniformInComponentsMassRatio(name='mass_ratio', minimum=0.3333333333333333, maximum=1.),
eccentricity = bilby.core.prior.analytical.LogUniform(name='e0', minimum=0.001, maximum=0.1),
luminosity_distance = Constraint(name='luminosity_distance', minimum=32.,maximum=48.),
luminosity_distance = Gaussian(mu=40.7, sigma=5.57, name='luminosity_distance', unit='Mpc', boundary='periodic'),
theta_jn = Sine(name='theta_jn'),
psi =  Uniform(name='psi', minimum=0, maximum=6.283185307179586),
phase = Uniform(name='phase', minimum=0, maximum=6.283185307179586),
geocent_time = Uniform(1187008882.33, 1187008882.53, name='geocent_time', unit='s'),
ra = 3.44615914,
dec =  -0.40808407,
}